%define oname	pyserial
%define module	serial

Name:       python-serial
Version:    3.5
Release:	%mkrel 1
Summary:	Python serial port extension
License:	Python
Group:      Development/Python
URL:		http://pyserial.sourceforge.net
Source0:	https://pypi.io/packages/source/p/%{oname}/%{oname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	dos2unix
Obsoletes:	pyserial < %{version}-%{release}
Provides:	pyserial = %{version}-%{release}
Obsoletes:	python-pyserial < %{version}-%{release}
Provides:	python-pyserial = %{version}-%{release}

%description
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any
POSIX compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n python3-%{module}
Summary:	Python 3 serial port extension
Group:		Development/Python
Obsoletes:	python3-pyserial < %{version}-%{release}
Provides:	python3-pyserial = %{version}-%{release}

%description -n python3-%{module}
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any
POSIX compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%prep
%setup -q -n %{oname}-%{version}

#drop bundled egg-info
rm -rf pyserial.egg-info/

#fix shebangs
perl -pi -e "s/#! python/#!\/usr\/bin\/env python/" serial/*.py
perl -pi -e "s/#!jython/#!\/usr\/bin\/env jython/" serial/*.py

#fix EOL
dos2unix examples/port_publisher.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CHANGES.rst LICENSE.txt PKG-INFO README.rst examples
%{_bindir}/*
%{python3_sitelib}/%{module}/
%{python3_sitelib}/pyserial-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 3.5-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 26 2019 tex 3.4-1pclos2019
- new version
